

import sys
import os
import utilities

# Añadir el directorio del SDK al PYTHONPATH usando una ruta relativa
script_dir = os.path.dirname(os.path.abspath(__file__))  # Directorio actual del script
sdk_path = os.path.join(script_dir, '..', 'sdk')  # Subir un nivel y apuntar a 'sdk'
sys.path.insert(0, sdk_path)

# Ahora importa la clase CAPIFProviderConnector desde el archivo sdk.py
from sdk import CAPIFInvokerConnector


def showcase_offboard_and_deregister_invoker():
    capif_connector = CAPIFInvokerConnector(config_file=utilities.get_config_file())
    capif_connector.offboard_invoker()
    print("COMPLETED")


if __name__ == "__main__":
    showcase_offboard_and_deregister_invoker()


